# AppVeyor configuration based on https://github.com/japaric/trust
#
# We don't need binary build, only continuous integration, so we don't use
# the deploy step. We also only build subset of the configurations to keep
# the time down.

# Based on the "trust" template v0.1.1
# https://github.com/japaric/trust/tree/v0.1.1

environment:
  global:
    RUST_VERSION: stable
    CRATE_NAME: locale_config

  matrix:
    # MinGW
    - TARGET: i686-pc-windows-gnu
    - TARGET: x86_64-pc-windows-gnu

    # MSVC
    - TARGET: i686-pc-windows-msvc
    - TARGET: x86_64-pc-windows-msvc

    # Testing other channels
    - TARGET: x86_64-pc-windows-gnu
      RUST_VERSION: nightly
    - TARGET: i686-pc-windows-msvc
      RUST_VERSION: nightly

install:
  - ps: >-
      If ($Env:TARGET -eq 'x86_64-pc-windows-gnu') {
        $Env:PATH += ';C:\msys64\mingw64\bin'
      } ElseIf ($Env:TARGET -eq 'i686-pc-windows-gnu') {
        $Env:PATH += ';C:\msys64\mingw32\bin'
      }
  - curl -sSf -o rustup-init.exe https://win.rustup.rs/
  - rustup-init.exe -y --default-host %TARGET% --default-toolchain %RUST_VERSION%
  - set PATH=%PATH%;C:\Users\appveyor\.cargo\bin
  - rustc -Vv
  - cargo -V

test_script:
  - cargo build --target %TARGET%
  - cargo build --target %TARGET% --release
  - cargo test --target %TARGET%
  - cargo test --target %TARGET% --release

cache:
  - C:\Users\appveyor\.cargo\registry
  - target

# Building is done in the test phase, so we disable Appveyor's build phase.
build: false

# vim: set sw=2 sts=2:
